pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/46194: net/gated does not compile on NetBSD 4.0 and 5.1 - bad patch file

>Number:         46194
>Category:       pkg
>Synopsis:       net/gated does not compile on NetBSD 4.0 and 5.1 - bad patch 
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Mar 14 15:35:00 +0000 2012
>Originator:     Dr. Wolfgang Stukenbrock
>Release:        NetBSD 5.1
Dr. Nagler & Company GmbH
System: NetBSD s012 4.0 NetBSD 4.0 (NSW-S012) #11: Fri Mar 26 15:01:49 CET 2010 
root@s012:/usr/src/sys/arch/amd64/compile/NSW-S012 amd64
Architecture: x86_64
Machine: amd64
        The only major change between pkgsrc-2010Q4 and 2011Q4 fro net/gated is 
an additional
        patch file, that removes the variable definition for yylineno from 
lexer.l source file.
        This will lead to an link-error on NetBSD 4.0 and 5.1.
        I've no idea why this patch file with a name that does not fit into the 
normal patch-file name pattern
        has been added on Fri Nov 11 23:43:43 2011 according to the CVS entry.
        get pkgsrc-2011Q4 and try to compile net/gated on NetBSD. It will fail.
        Tested on NetBSD 4.0 and 5.1
        simply remove the patch file net/gated/patches/patch-src-lexer.l


Home | Main Index | Thread Index | Old Index